summaryrefslogtreecommitdiffstats
path: root/x11vnc/misc
diff options
context:
space:
mode:
authorrunge <runge>2005-11-25 07:22:43 +0000
committerrunge <runge>2005-11-25 07:22:43 +0000
commit8eb18f6cd8793ea55f04d3c736885b04c41aba4f (patch)
treed447343f6495e703690217928e2783dc1636df26 /x11vnc/misc
parentde99644d2fa630828fd6e92ed206dd63da1fdfa9 (diff)
downloadlibtdevnc-8eb18f6cd8793ea55f04d3c736885b04c41aba4f.tar.gz
libtdevnc-8eb18f6cd8793ea55f04d3c736885b04c41aba4f.zip
fix deadlock from rfbReleaseExtensionIterator(), fix no libz/libjpeg builds, disable tightvnc-filetransfer if no libpthread, add --without-pthread option, rm // comments, set NAME_MAX if not defined, x11vnc: throttle load if fb update requests not taking place.
Diffstat (limited to 'x11vnc/misc')
-rwxr-xr-xx11vnc/misc/x11vnc_pw24
1 files changed, 24 insertions, 0 deletions
diff --git a/x11vnc/misc/x11vnc_pw b/x11vnc/misc/x11vnc_pw
new file mode 100755
index 0000000..04ea1e3
--- /dev/null
+++ b/x11vnc/misc/x11vnc_pw
@@ -0,0 +1,24 @@
+#!/bin/sh
+# usage: x11vnc_pw [file] (default: ~/.vnc/passwd)
+
+if [ "X$1" = "X" ]; then
+ file=$HOME/.vnc/passwd
+else
+ file=$1
+fi
+
+stty -echo
+printf "Password: "
+read pw1; echo ""
+printf "Verify: "
+read pw2; echo ""
+stty echo
+
+if [ "X$pw1" != "X$pw2" ]; then
+ echo "passwords do not match."
+ exit 1
+fi
+
+x11vnc -help > /dev/null 2>&1
+x11vnc -storepasswd "$pw1" "$file"
+ls -l "$file"